%global pypi_name django-bootstrap-toolkit

Name:           python-%{pypi_name}
Version:        2.5.11
Release:        1%{?dist}
Summary:        Bootstrap support for Django projects

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{pypi_name}/%{version}
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?fedora} >= 18
Requires:       python-django
%else
Requires:       Django
%endif

%description
Django Toolkit for integration with Twitter's Bootstrap

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# correct file permissions
chmod ugo-x bootstrap_toolkit/static/datepicker/*/*datepicker.*


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc PKG-INFO
%{python_sitelib}/bootstrap_toolkit
%{python_sitelib}/django_bootstrap_toolkit-%{version}-py?.?.egg-info

%changelog
* Thu Oct 25 2012 Matthias Runge <mrunge@redhat.com> - 2.5.11-1
- update to upstream version 2.5.11 (bz. 869939)

* Thu Oct 18 2012 Matthias Runge <mrunge@redhat.com> - 2.5.10-1
- update to upstream version 2.5.10

* Tue Oct 09 2012 Matthias Runge <mrunge@redhat.com> - 2.5.9-1
- update to upstream version 2.5.9

* Thu Oct 04 2012 Matthias Runge <mrunge@redhat.com> - 2.5.8-1
- update to upstream version 2.5.8

* Tue Aug 21 2012 Matthias Runge <mrunge@matthias-runge.de> - 2.5.6-1
- Initial package.
